using APT.BaseData.Domain.Entities.FM;
using APT.Infrastructure.Core;
using System;
using System.Collections.Generic;
using System.ComponentModel;
namespace APT.MS.Domain.Entities.SE
{
    /// <summary>
    /// 培训需求用户
    /// </summary>
    [Description("培训需求用户")]
    public class T_SE_TRAIN_SURVEY_LIST_DEMAND : MesEntityBase
    {
        /// <summary>
        /// 试题ID
        /// </summary>
        [Description("调查ID")]
        [DataFieldForeignKey("Nav_Survey", "Nav_Demands")]
        public Guid SURVEY_ID { get; set; }
        /// <summary>
        /// 导航: 试题
        /// </summary>
        [Description("导航: 调查表")]
        public T_SE_TRAIN_SURVEY Nav_Survey { get; set; }
        /// <summary>
        /// 人员ID
        /// </summary>
        [Description("人员")]
        [DataFieldForeignKey("Nav_User")]
        public Guid? USER_ID { get; set; }
        /// <summary>
        /// 导航: 人员
        /// </summary>
        [Description("导航: 人员")]
        public T_FM_USER Nav_User { get; set; }
        /// <summary>
        /// 最外层部门ID
        /// </summary>
        [Description("部门")]
        [DataFieldForeignKey("Nav_Department")]
        public Guid? DEPARTMENT_ID { get; set; }
        /// <summary>
        /// 导航: 部门
        /// </summary>
        [Description("导航: 部门")]
        public T_FM_DEPARTMENT Nav_Department { get; set; }
        /// <summary>
        /// 导航: 需求
        /// </summary>
        [Description("导航: 需求")]
        [FormFieldEdit]
        public List<T_SE_TRAIN_SURVEY_LIST_DEMAND_ITEM> Nav_Items { get; set; }
        /// <summary>
        /// 其它
        /// </summary>
        [Description("其它")]
        [DataFieldLength(200)]
        [FormFieldEdit]
        public string OTHER { get; set; }
        /// <summary>
        /// 状态
        /// </summary>
        [Description("状态")]
        public int OK { get; set; }

        [Description("是否发布")]
        [DataFieldIngore]
        public string PUBLISH { get; set; }
    }
}
